'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _vNode = require('./vNode');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = function () {
  function Wrapper(vNode) {
    (0, _classCallCheck3.default)(this, Wrapper);

    this.vNode = vNode;
    this.element = vNode.elm;
  }

  (0, _createClass3.default)(Wrapper, [{
    key: 'find',
    value: function find(selector) {
      if (selector[0] === '.') {
        var _nodes = (0, _vNode.findByClass)(this.vNode, selector.substr(1));

        return _nodes.map(function (node) {
          return new Wrapper(node);
        });
      }

      if (selector[0] === '#') {
        var _nodes2 = (0, _vNode.findById)(this.vNode, selector.substr(1));
        return _nodes2.map(function (node) {
          return new Wrapper(node);
        });
      }
      var nodes = (0, _vNode.findByTag)(this.vNode, selector);

      return nodes.map(function (node) {
        return new Wrapper(node);
      });
    }
  }, {
    key: 'contains',
    value: function contains(selector) {
      return this.element.querySelectorAll(selector).length > 0;
    }
  }, {
    key: 'hasClass',
    value: function hasClass(className) {
      return this.element.className.split(' ').indexOf(className) !== -1;
    }
  }, {
    key: 'html',
    value: function html() {
      var tmp = document.createElement('div');
      tmp.appendChild(this.element);
      return tmp.innerHTML;
    }
  }, {
    key: 'is',
    value: function is(selector) {
      if (selector[0] === '.') {
        return this.element.className.split(' ').indexOf(selector.substr(1)) !== -1;
      }

      if (selector[0] === '#') {
        return this.element.getAttribute('id') === selector.substr(1);
      }

      return this.element.tagName === selector.toUpperCase();
    }
  }, {
    key: 'simulate',
    value: function simulate(type) {
      var eventObject = new Event(type);
      this.element.dispatchEvent(eventObject);
    }
  }, {
    key: 'text',
    value: function text() {
      return this.element.innerText;
    }
  }]);
  return Wrapper;
}();

exports.default = Wrapper;