'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.findByTag = findByTag;
exports.findByClass = findByClass;
exports.findById = findById;
function findAllVNodes(vNode) {
  var nodes = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

  nodes.push(vNode);

  if (vNode.children && vNode.children.length > 0) {
    for (var i = 0; i < vNode.children.length; i++) {
      findAllVNodes(vNode.children[i], nodes);
    }
  }

  return nodes;
}

function findByTag(vNode, tag) {
  var nodes = findAllVNodes(vNode);
  return nodes.filter(function (node) {
    return node.tag === tag;
  });
}

function findByClass(vNode, className) {
  var nodes = findAllVNodes(vNode);
  return nodes.filter(function (node) {
    if (node.elm.className) {
      return node.elm.className.split(' ').indexOf(className) !== -1;
    }
    return false;
  });
}

function findById(vNode, id) {
  var nodes = findAllVNodes(vNode);
  return nodes.filter(function (node) {
    if (node.elm.nodeName === '#text') {
      return false;
    }
    return node.elm.getAttribute('id') === id;
  });
}